# Datasets

## Training Evolution
The data used in the learning progress figures are stored in data_learning_progress_[train/test].npy. The data can be loaded with NumPy (python 3.8, numpy~=1.21), e.g.,

    data = np.load('data_learning_progress_train.npy', allow_pickle=True).item()

<code>data</code> is a dictionary, with keys for distances to the target, percentage of targets reached, and steps taken per episode. Statistics are given in quantiles [0.025, 0.25, 0.5, 0.75, 0.975] and means, both over the respective dataset (train or test), either for each run individually, or over the whole ensemble (20 runs). All keys have the subkeys of the respective experimental setup, e.g., <code>'NAO_TORCH_2dof'</code>. At the lowest level is a NumPy array.

Example: <code>data['dist_quantiles_dict']['NAO_TORCH_2dof']</code> has the dimensions (11, 20, 150, 5) for 11 ask likelihood values, 20 runs, 150 epochs for each run, and 5 quantiles. <code>data['reached_means_dict']['KUKA_TORCH_7dof']</code> has dimensions (11, 20, 255) for 11 ask likelihood values, 20 runs, 255 epochs.

## Thresholded Performances
The data for the analysis of the thresholded performances are stored in data_thresholded_performance_[train/test].npy. 
Under the 'reached_percentage_dict' keyword is the percentage of reached targets along the dimensions of *ask likelihood* values, the number of runs, and epochs. 

Example: <code>data['dist_quantiles_dict']['NAO_TORCH_4dof']</code> has the dimensions (11, 20, 265) for 11 ask likelihood values, 20 runs, and 265 epochs.

